Bug 1241583 - Remove creation of default-net, default-router and ext-net from postconfig
Summary: Remove creation of default-net, default-router and ext-net from postconfig
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-rdomanager-oscplugin
Version: 7.0 (Kilo)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ga
: Director
Assignee: Brad P. Crochet
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-09 14:19 UTC by Marius Cornea
Modified: 2015-08-05 13:59 UTC (History)
9 users (show)

Fixed In Version: python-rdomanager-oscplugin-0.0.8-35.el7ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1243056 (view as bug list)
Environment:
Last Closed: 2015-08-05 13:59:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gerrithub.io 239833 None None None Never
Red Hat Product Errata RHEA-2015:1549 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform director Release 2015-08-05 17:49:10 UTC

Description Marius Cornea 2015-07-09 14:19:55 UTC
Description of problem:

I've been hitting some issues lately related to the overcloud getting deployed with the default tenant network, router and external network that made me think it would be better to get the overcloud deployed without them.

1. The openstack overcloud deploy command always creates a default-net tenant network, a router and an ext-net external network. While this is good for demo purposes I believe they are not needed in a production environment for naming or functional reasons and first thing that an operator does is to delete them.

2. You might not need the default router. For instance I'd like to test vlan provider networks but the deploy command ends with the ext-net network and default router created which I don't need.

3. It generates confusion when using network isolation. You have to specify --floating-ip-cidr --floating-ip-start --floating-ip-end --bm-network-gateway that match the external network settings set up in the network isolation yaml file in order to get working connectivity. If you end up deleting them right after deployment finishes then you get a very long deploy command for nothing which leads to bad user experience.

I believe we should leave the creation of routers and networks as a post deployment step so operators can create those according to their particular needs. Or at least get a flag to the deploy command where we can specify if we want them created.

Comment 3 Ofer Blaut 2015-07-12 11:51:09 UTC
I think it also relates to BZ1241016 , so if we remove the networks please close 1241016

Comment 4 Brad P. Crochet 2015-07-14 12:57:53 UTC
Review: https://review.gerrithub.io/#/c/239833/

Comment 7 errata-xmlrpc 2015-08-05 13:59:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2015:1549


Note You need to log in before you can comment on or make changes to this bug.